<eos-stepper-header [steps]="steps" [selectedIndex]="selectedIndex" (stepClickedEmitter)="onHeaderClick($event)"></eos-stepper-header>

<!-- This is where the content from each CdkStep is projected to -->
<ng-container [ngTemplateOutlet]="selected.content"></ng-container>

<!-- This is the navigation bar of the stepper -->
<footer *ngIf="showFooter">
  <div class="float-right">
    <button cdkStepperPrevious class="btn btn-secondary mr-2" *ngIf="selectedIndex > 0">Zurück</button>
    <button (click)="nextStep()" class="btn btn-info" *ngIf="selectedIndex+1 !== steps.length">Weiter</button>
    <button class="btn btn-success" *ngIf="selectedIndex+1 === steps.length" (click)="submit()">{{submitLabel}}</button>
  </div>
</footer>